/wells#
Well level details. Well level data derived from all sources.
Endpoint#
POST |
https://hyperion.api.synmax.com/v4/wells |
Request Examples#
curl -X POST "https://hyperion.api.synmax.com/v4/wells" \
-H "Content-Type: application/json" \
-H "Access-Key: $API_TOKEN" \
-d '{}'
from synmax.hyperion.v4 import HyperionApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
hyperion_api_client = HyperionApiClient(access_token=SYNMAX_ACCESS_TOKEN)
wells_resp = hyperion_api_client.wells()
wells_df = wells_resp.df()
wells_df.head()
Parameters#
Query#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
aggregate_by |
string array |
Fields to aggregate over |
region_natgas |
county |
string array |
The county the well is in |
CAMPBELL |
date_first_production_max |
— |
The end date range a well first started producing in YYYY-MM-DD format |
— |
date_first_production_min |
— |
Minimum first production date filter |
— |
date_spud_max |
— |
The date range maximum of the spud date from the well drilling permit in YYYY-MM-DD format |
— |
date_spud_min |
— |
The date range minimum of the spud date from the well drilling permit in YYYY-MM-DD format |
— |
depth_max |
number |
Maximum depth of the well |
— |
depth_min |
number |
Minimum depth of the well |
— |
horizontal_length_max |
number |
Maximum horizontal length of the well |
— |
horizontal_length_min |
number |
Minimum horizontal length of the well |
— |
lat_surface_max |
number |
Maximum latitude of the wellbore |
— |
lat_surface_min |
number |
Minimum latitude of the wellbore |
— |
lon_surface_max |
number |
Maximum longitude of the wellbore |
— |
lon_surface_min |
number |
Minimum longitude of the wellbore |
— |
operator |
string array |
A well operator |
BILL BARRETT CORPORATION |
produced_basin |
string array |
The basin that the well produces |
HAYNESVILLE BASIN |
produced_formation |
string array |
The formation that the well produces |
JAMES LIME |
region_natgas |
string array |
Region divisions based on natural gas production profiles |
west |
response_fields |
string array |
Fields to include in the response. If not specified, default fields are returned. |
— |
state_code |
string array |
An array of state abbreviations |
WY |
sub_region_natgas |
string array |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
well_id |
string array |
Subregion divisions based on natural gas production profiles |
14081712000 |
wellpad_id |
integer array |
The unique identifier for the wellpad |
717476 |
Response#
Parameter |
Type |
Description |
Example |
|---|---|---|---|
county |
string |
The county the well is in |
CAMPBELL |
date_completion |
— |
The date observed via satellite that the well crew completed fracking in YYYY-MM-DD format |
— |
date_first_production |
— |
The date a well first started producing in YYYY-MM-DD format |
— |
date_permit |
— |
The date the well drilling permit was filed in YYYY-MM-DD format |
— |
date_spud |
— |
Spud date from well drilling permit in YYYY-MM-DD format |
— |
depth_measured |
number |
Measured depth of the wellbore |
— |
depth_tvd |
number |
True vertical depth of the wellbore |
— |
horizontal_length |
number |
Horizontal length of the wellbore |
— |
lat_bottomhole |
number |
Latitude of the end of the well |
— |
lat_surface |
number |
Latitude of the wellbore |
— |
lon_bottomhole |
number |
Longitude of the end of the well |
— |
lon_surface |
number |
Longitude of the wellbore |
— |
operator |
string |
A well operator |
BILL BARRETT CORPORATION |
produced_basin |
string |
Only included in response if specified in response_fields parameter. |
— |
produced_formation |
string |
Only included in response if specified in response_fields parameter. |
— |
region_natgas |
string |
Region divisions based on natural gas production profiles |
west |
state_code |
string |
A state abbreviation |
WY |
sub_region_natgas |
string |
Subregion divisions based on natural gas production profiles |
Haynesville - TX |
well_id |
string |
A well identifier |
14081712000 |
wellbore_type |
string |
Type of wellbore such as horizontal, vertical, directional |
— |
wellpad_id |
integer |
The unique identifier for the wellpad |
717476 |
Aggregation#
Supported parameters: county, date_first_production, date_spud, operator, region_natgas, state_code, sub_region_natgas, produced_formation, produced_basin
Normal Output#
county |
date_completion |
date_first_production |
date_permit |
date_spud |
depth_measured |
depth_tvd |
horizontal_length |
lat_bottomhole |
lon_bottomhole |
lat_surface |
lon_surface |
operator |
region_natgas |
state_code |
sub_region_natgas |
well_id |
wellbore_type |
wellpad_id |
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
BC |
1992-06-11 |
1162.0 |
57.16355 |
-120.793928 |
PENSIONFUND ENERGY RESOURCES LIMITED |
Canada |
BC |
BC |
0000000000007913 |
717476 |
||||||||
BC |
1992-06-30 |
1180.0 |
57.148744 |
-120.748267 |
CALPINE CANADA RESOURCES COMPANY |
Canada |
BC |
BC |
0000000000007917 |
717477 |
||||||||
BC |
1992-08-12 |
1270.0 |
57.253583 |
-121.892264 |
ULSTER PETROLEUMS LTD |
Canada |
BC |
BC |
0000000000007931 |
717478 |
||||||||
BC |
1992-10-19 |
1700.0 |
55.976658 |
-120.855478 |
IMPERIAL OIL RESOURCES LIMITED |
Canada |
BC |
BC |
0000000000007957 |
717479 |
||||||||
BC |
1992-10-27 |
2400.0 |
55.067781 |
-121.470231 |
REPSOL OIL & GAS USA LLC |
Canada |
BC |
BC |
0000000000007965 |
717480 |
||||||||
BC |
1992-12-17 |
1165.0 |
56.918203 |
-120.391625 |
CANADIAN NATURAL RESOURCES LIMITED |
Canada |
BC |
BC |
0000000000008008 |
717481 |
||||||||
BC |
1992-12-18 |
1165.0 |
56.914175 |
-120.3794 |
CANADIAN NATURAL RESOURCES LIMITED |
Canada |
BC |
BC |
0000000000008013 |
717482 |
||||||||
BC |
1992-12-21 |
1500.0 |
56.682214 |
-121.274769 |
OVINTIV |
Canada |
BC |
BC |
0000000000008018 |
717483 |
||||||||
BC |
1993-01-11 |
1870.0 |
56.336178 |
-120.145967 |
DEVON ENERGY CANADA CORPORATION |
Canada |
BC |
BC |
0000000000008031 |
717484 |
||||||||
BC |
1993-01-15 |
1120.0 |
57.083503 |
-120.498603 |
PARAMOUNT RESOURCES US INC |
Canada |
BC |
BC |
0000000000008037 |
717485 |